require "booby/version"

module Booby
  require "booby/errors"
  require "booby/parser"

  # Public: Initializes a parser with given source code.
  #
  # source - The String source code of a config file.
  #
  # Returns initialized Parser.
  def self.prepare(source)
    return Parser.new(source)
  end

  # Public: Initializes a parser with loaded source code.
  #
  # source - The String file name to load.
  #
  # Returns initialized Parser.
  def self.open(fname)
    return Parser.new(File.read(fname))
  end
end
